summaryrefslogtreecommitdiffstats
path: root/netdata-installer.sh
diff options
context:
space:
mode:
authorIlya <ilyamaschenko@gmail.com>2017-05-30 15:10:42 +0900
committerIlya <ilyamaschenko@gmail.com>2017-05-30 15:10:42 +0900
commitf81f5734f8207db73247268e365d77eb2795946a (patch)
tree519cfe7583c9c27a6d5940852eb6c6bda1265754 /netdata-installer.sh
parentb4f5f65a7d4e1f26f646b9128a411863165b6662 (diff)
web_log plugin: add netdata to the "squid" and "proxy" groups
Diffstat (limited to 'netdata-installer.sh')
-rwxr-xr-xnetdata-installer.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/netdata-installer.sh b/netdata-installer.sh
index 1ba8ce686e..a8e45eb0eb 100755
--- a/netdata-installer.sh
+++ b/netdata-installer.sh
@@ -1118,6 +1118,23 @@ if [ $? -eq 0 -a "${NETDATA_ADDED_TO_NSD}" = "1" ]
echo " gpasswd -d netdata nsd"
fi
+getent group proxy > /dev/null
+if [ $? -eq 0 -a "${NETDATA_ADDED_TO_PROXY}" = "1" ]
+ then
+ echo
+ echo "You may also want to remove the netdata user from the proxy group"
+ echo "by running:"
+ echo " gpasswd -d netdata proxy"
+fi
+
+getent group squid > /dev/null
+if [ $? -eq 0 -a "${NETDATA_ADDED_TO_SQUID}" = "1" ]
+ then
+ echo
+ echo "You may also want to remove the netdata user from the squid group"
+ echo "by running:"
+ echo " gpasswd -d netdata squid"
+fi
UNINSTALL
chmod 750 netdata-uninstaller.sh